<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="contents">
&#160;

<h3><a id="index_a"></a>- a -</h3><ul>
<li>allCounter_
: <a class="el" href="class_shape.html#a52b1f33f515746a215cd461bcd5e5d3f">Shape</a>
</li>
<li>angle_
: <a class="el" href="class_shape.html#afb6856641aa526f1371e5580e2cd7eb3">Shape</a>
</li>
</ul>


<h3><a id="index_b"></a>- b -</h3><ul>
<li>bottom_
: <a class="el" href="classbottom_surface.html#a97a989188260b0e0fe1337b6aa35aa1c">bottomSurface</a>
</li>
<li>bottom_surface_
: <a class="el" href="class_scene.html#ad50c3c24ce0283a96822b5a759677852">Scene</a>
</li>
<li>bottomLevel_
: <a class="el" href="classbottom_surface.html#a766b91bc71e21a06662f6898c061904b">bottomSurface</a>
</li>
</ul>


<h3><a id="index_c"></a>- c -</h3><ul>
<li>cuboid_obstacle_
: <a class="el" href="class_scene.html#a0f6f2aaa0d3722c75d0a522e4212c029">Scene</a>
</li>
<li>cuboidCover_
: <a class="el" href="class_cuboid.html#ade7f4821f35a2b32d2b969f30d0ed9be">Cuboid</a>
</li>
<li>currentCounter_
: <a class="el" href="class_shape.html#aa807a43b362e4ef73df68fe95813ec4a">Shape</a>
</li>
</ul>


<h3><a id="index_d"></a>- d -</h3><ul>
<li>display_error_messages_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#adefdb7c360e54c586b1d6bd1fa5c6eee">PzG::GnuplotLink</a>
</li>
<li>drawing_mode_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#afe3cae0470049aee3c7350f488a630b6">PzG::GnuplotLink</a>
</li>
<li>drone_
: <a class="el" href="class_scene.html#a39e475efe2c4ec704290a3258675394a">Scene</a>
</li>
</ul>


<h3><a id="index_f"></a>- f -</h3><ul>
<li>filename_
: <a class="el" href="class_pz_g_1_1_file_info.html#a04f77a755e72bcf379844b15d9f0f3ed">PzG::FileInfo</a>
</li>
<li>files_information_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#af4b03524d7d1ccb3f09524217048ef5d">PzG::GnuplotLink</a>
</li>
<li>frameFreeze_
: <a class="el" href="class_scene.html#ad80825eec726058e071be4d627b1ee31">Scene</a>
</li>
<li>frames_
: <a class="el" href="class_scene.html#a71f61950a5ed7990f437026fbba04dc7">Scene</a>
</li>
</ul>


<h3><a id="index_g"></a>- g -</h3><ul>
<li>gnuplot_input_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a8b04a557aacb13f62a46bd0cd1233119">PzG::GnuplotLink</a>
</li>
<li>gnuplot_output_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a3ba099cef3e84aab2d3d0f7e99661cca">PzG::GnuplotLink</a>
</li>
</ul>


<h3><a id="index_k"></a>- k -</h3><ul>
<li>kBottomModel_
: <a class="el" href="classbottom_surface.html#ac7cfddbccf04484d5596f8faf022b65a">bottomSurface</a>
</li>
<li>kBottomSurfaceFile_
: <a class="el" href="classbottom_surface.html#a2413008985afac8f1ffb543c7b4887e1">bottomSurface</a>
</li>
<li>kDroneFile
: <a class="el" href="class_drone.html#a56f1e93b78d78a6d64929288eee02610">Drone</a>
</li>
<li>kLeftFrontRotorFile_
: <a class="el" href="class_drone.html#a02f95db1728991ccdd591cf126224038">Drone</a>
</li>
<li>kLeftRearRotorFile_
: <a class="el" href="class_drone.html#ae4422a4c9a347bd17c8a8677cf5da787">Drone</a>
</li>
<li>kModelCuboid_
: <a class="el" href="class_cuboid.html#a7cecbba106d01150eb52d53bc0b5d15a">Cuboid</a>
</li>
<li>kObstacleCuboidFile
: <a class="el" href="class_cuboid_obstacle.html#a46b2b296f05dbbfbaf99810a198a2ccb">CuboidObstacle</a>
</li>
<li>kObstacleCuboidModel
: <a class="el" href="class_cuboid_obstacle.html#a4e8d394179d5727763e397882c1e9238">CuboidObstacle</a>
</li>
<li>kObstacleRectangleFile
: <a class="el" href="class_rectangle.html#afc01efdb1030741856872de1dcd5a3b5">Rectangle</a>
</li>
<li>kObstacleRectangleModel
: <a class="el" href="class_rectangle.html#ad1bee83fb0fda7c7659870a564bbbfa5">Rectangle</a>
</li>
<li>kObstacleRodFile
: <a class="el" href="class_rod.html#a3f52050d995080e1b6b4a3244d39a418">Rod</a>
</li>
<li>kObstacleRodModel
: <a class="el" href="class_rod.html#a36c0b7c7daacebdc643bb7fce67c01fd">Rod</a>
</li>
<li>kRightFrontRotorFile_
: <a class="el" href="class_drone.html#a4afed3fce1016f16071976ebb28695c6">Drone</a>
</li>
<li>kRightRearRotorFile_
: <a class="el" href="class_drone.html#a7722ef37b12631cefe4de331362c1af9">Drone</a>
</li>
<li>kRotorModel_
: <a class="el" href="class_drone.html#accbaf88fac98bcd39a78f9aadf93a256">Drone</a>
</li>
<li>kWaterModel_
: <a class="el" href="classwater_surface.html#a9dadccbc538edfd3738e170bfe87a834">waterSurface</a>
</li>
<li>kWaterSurfaceFile_
: <a class="el" href="classwater_surface.html#a052874e714972cf607e2aab7c91118f3">waterSurface</a>
</li>
</ul>


<h3><a id="index_l"></a>- l -</h3><ul>
<li>leftFrontRotor_
: <a class="el" href="class_drone.html#a01a729e3096871a868f52fe47eaa09d5">Drone</a>
</li>
<li>leftFrontRotorTranslation_
: <a class="el" href="class_drone.html#afd4d76bee5f0f8cc9ce7f66e14fbb517">Drone</a>
</li>
<li>leftRearRotor_
: <a class="el" href="class_drone.html#ac1cf098d9ba9b78908abd1f247967987">Drone</a>
</li>
<li>leftRearRotorTranslation_
: <a class="el" href="class_drone.html#a4491f34e5c9122fe5dd7504ebb5d84cc">Drone</a>
</li>
<li>link_
: <a class="el" href="class_scene.html#a5df9e3639480f0b0e40dbde622a1c605">Scene</a>
</li>
</ul>


<h3><a id="index_m"></a>- m -</h3><ul>
<li>matrix
: <a class="el" href="class_matrix.html#ab20a4e5f5647febc866fb32744f54f86">Matrix&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_o"></a>- o -</h3><ul>
<li>obstacleCuboid_
: <a class="el" href="class_cuboid_obstacle.html#a77f7bb2a38be970fb0d2708b1a62764c">CuboidObstacle</a>
</li>
<li>obstacleCuboidTranslation_
: <a class="el" href="class_cuboid_obstacle.html#a170f86b9a730414960a37e23a9240286">CuboidObstacle</a>
</li>
<li>obstacleRectangle_
: <a class="el" href="class_rectangle.html#a44573438259917675abc85bd9d0914ef">Rectangle</a>
</li>
<li>obstacleRectangleTranslation_
: <a class="el" href="class_rectangle.html#a6a3eb6fe3c8711301369da887ecc2354">Rectangle</a>
</li>
<li>obstacleRod_
: <a class="el" href="class_rod.html#ab283c65902eb7d02d80101b1fe94f15d">Rod</a>
</li>
<li>obstacleRodTranslation_
: <a class="el" href="class_rod.html#af5b1ce5a42b61431441eece432668ed7">Rod</a>
</li>
</ul>


<h3><a id="index_p"></a>- p -</h3><ul>
<li>points_
: <a class="el" href="class_cuboid.html#a0574a7d21a42de91ead1f99857eb10d2">Cuboid</a>
</li>
</ul>


<h3><a id="index_r"></a>- r -</h3><ul>
<li>rectangle_
: <a class="el" href="class_scene.html#a9072e7a0ae61ecbc6f716cadcd696f57">Scene</a>
</li>
<li>rightFrontRotor_
: <a class="el" href="class_drone.html#a6956f76fc5143f63d9dd980094e747e8">Drone</a>
</li>
<li>rightFrontRotorTranslation_
: <a class="el" href="class_drone.html#a87cf219b6f515f29b1e3e2927d54249a">Drone</a>
</li>
<li>rightRearRotor_
: <a class="el" href="class_drone.html#a2bc30e7bd25f21d497efc9ec16236e4c">Drone</a>
</li>
<li>rightRearRotorTranslation_
: <a class="el" href="class_drone.html#afc2f37e34cc608ac218b1d4fbada0585">Drone</a>
</li>
<li>rod_
: <a class="el" href="class_scene.html#a217f6f2ce1825c3c82a4eb97d21e713c">Scene</a>
</li>
<li>rotationMatrix_
: <a class="el" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">RotationMatrix</a>
</li>
</ul>


<h3><a id="index_s"></a>- s -</h3><ul>
<li>show_OX_axis_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a694fd1200f95c4e8c1fcb0bfe30ab711">PzG::GnuplotLink</a>
</li>
<li>show_OY_axis_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a6e6dbfa4c5d4ee81ef83afc1b4ad1be4">PzG::GnuplotLink</a>
</li>
<li>show_OZ_axis_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a436e59363f312d5a98548526ced023ca">PzG::GnuplotLink</a>
</li>
<li>style_
: <a class="el" href="class_pz_g_1_1_file_info.html#a9141a03aee9840ebe103e4b1b6fa5c9b">PzG::FileInfo</a>
</li>
</ul>


<h3><a id="index_t"></a>- t -</h3><ul>
<li>translation_
: <a class="el" href="class_shape.html#aba30fe15a525b5f24e09829094213c07">Shape</a>
</li>
</ul>


<h3><a id="index_v"></a>- v -</h3><ul>
<li>vector
: <a class="el" href="class_vector.html#a62ded5bdea4a50407eeba6dfe12626c3">Vector&lt; T, SIZE &gt;</a>
</li>
</ul>


<h3><a id="index_w"></a>- w -</h3><ul>
<li>water_
: <a class="el" href="classwater_surface.html#a9ff71ccc7295259b564c3841d7fcf1bb">waterSurface</a>
</li>
<li>water_surface_
: <a class="el" href="class_scene.html#ac2799c9a0b29a5790e7ac4010e11d3c6">Scene</a>
</li>
<li>waterLevel_
: <a class="el" href="classwater_surface.html#a1a4eb620c37a1e16b63a74b9834b3720">waterSurface</a>
</li>
<li>width_
: <a class="el" href="class_pz_g_1_1_file_info.html#a1a1d3ea502a2604eec731ca50a2b438f">PzG::FileInfo</a>
</li>
</ul>


<h3><a id="index_x"></a>- x -</h3><ul>
<li>x_max_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a1f8870f0cc643c5ef931b30b40b5e282">PzG::GnuplotLink</a>
</li>
<li>x_min_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9ca081e311914fb07ee4c292b8090247">PzG::GnuplotLink</a>
</li>
<li>x_rotation_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ae105dcd466bbc10f0b70ed753e0c2e4e">PzG::GnuplotLink</a>
</li>
<li>x_scale_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a725cf4ed098148a0e9b10ed94023757a">PzG::GnuplotLink</a>
</li>
<li>xMax
: <a class="el" href="class_cuboid_obstacle.html#a66df1ef1fbbe69a5752faa8db92ce09a">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#abece729bcd234268157da5155e73309b">Rectangle</a>
, <a class="el" href="class_rod.html#a17ab3521f8c7b466a54bd4ae94b60ee5">Rod</a>
</li>
<li>xMin
: <a class="el" href="class_cuboid_obstacle.html#a97f9c563dae030413a694fe42f1ca66b">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#a93cca8b6ab5765045dc2eda6433ee2fb">Rectangle</a>
, <a class="el" href="class_rod.html#a08f7d00299c71d6856fb78a026d2a614">Rod</a>
</li>
</ul>


<h3><a id="index_y"></a>- y -</h3><ul>
<li>y_max_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9fb5609ee05da82c3a5c9f94416c1ac1">PzG::GnuplotLink</a>
</li>
<li>y_min_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a31c8d2fcb350d54d09134c0f0a838aea">PzG::GnuplotLink</a>
</li>
<li>yMax
: <a class="el" href="class_cuboid_obstacle.html#ad48b8ea4a34fba849ed67d3d36e178eb">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#a6049ae1000f12d56cb36b4f6b5bd3c94">Rectangle</a>
, <a class="el" href="class_rod.html#ace95226b074d07712c4426492d41eeaf">Rod</a>
</li>
<li>yMin
: <a class="el" href="class_cuboid_obstacle.html#a60075e46b6cab2c07b3016d7910e73b5">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#afb0f8b49df846d3e9cccf64188817ef1">Rectangle</a>
, <a class="el" href="class_rod.html#a8e04b938aebeabcd3ce18ef5c554127b">Rod</a>
</li>
</ul>


<h3><a id="index_z"></a>- z -</h3><ul>
<li>z_max_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ad16243c88647f80c0f69a6d04021dbf7">PzG::GnuplotLink</a>
</li>
<li>z_min_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a3a92421a06513241d150ec36eedcfb70">PzG::GnuplotLink</a>
</li>
<li>z_rotation_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#ae7ae9a0985b545d636908deb232f716c">PzG::GnuplotLink</a>
</li>
<li>z_scale_
: <a class="el" href="class_pz_g_1_1_gnuplot_link.html#a9926edcec6c7080a35f62c050f2773dc">PzG::GnuplotLink</a>
</li>
<li>zMax
: <a class="el" href="class_cuboid_obstacle.html#a651f17ffa48e4cae5d7f3f180cc5600a">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#ad1a7d194f96b1e3c17b5436cee629725">Rectangle</a>
, <a class="el" href="class_rod.html#afbe3c127b021c810aa560e8a1f8ea2c9">Rod</a>
</li>
<li>zMin
: <a class="el" href="class_cuboid_obstacle.html#ab8205b9d1145d4b8625433060fc5bc7f">CuboidObstacle</a>
, <a class="el" href="class_rectangle.html#a768853ea026976e3ec18d43a43b5ab30">Rectangle</a>
, <a class="el" href="class_rod.html#a42392326816458fd9a3de76d675ae1bf">Rod</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
